Player = {} -- Table that stores player info
Player.ParticleLaser = {love.graphics.newImage("Laser1.png"), 250, 3} -- sets info for particle laser weapon, img, speed, cooldown
Player.ParticleLasers = {}
ProjectileTrash = {}


function UpdateProjectiles(dt)
	for i = 1,#Player.ParticleLasers do -- Updating particle lasers bullets
		Player.ParticleLasers[i][1] = Player.ParticleLasers[i][1] + (Player.ParticleLasers[i][3] * dt)
		Player.ParticleLasers[i][2] = Player.ParticleLasers[i][2] + (Player.ParticleLasers[i][4] * dt)
		if Player.ParticleLasers[i][1] < -50 or Player.ParticleLasers[i][1] > 850 or Player.ParticleLasers[i][2] < -50 or Player.ParticleLasers[i][2] > 650 then
			ProjectileTrash[i] = i
		end
	end
	for i = #ProjectileTrash, 1, -1 do
		table.remove(Player.ParticleLasers, ProjectileTrash[i])
		table.remove(ProjectileTrash, i)
	end
end
	
function DrawProjectiles()
	love.graphics.setColor(1, 0, 0) -- Drawing Particle Lasers bullets
	for i = 1, #Player.ParticleLasers do
		love.graphics.circle("fill", Player.ParticleLasers[i][1], Player.ParticleLasers[i][2], 3)
	end
	love.graphics.setColor(1, 1, 1)
end	
	
function PlayerShoot(x,y,button)	
	if button == 1 then -- fires bullets
		local startX = Earth.X + Earth.Width / 2
		local startY = Earth.Y + Earth.Height / 2
		local mouseX = x
		local mouseY = y
 
		local angle = math.atan2((mouseY - startY), (mouseX - startX))
 
		local bulletDx = Player.ParticleLaser[2] * math.cos(angle)
		local bulletDy = Player.ParticleLaser[2] * math.sin(angle)
 
		table.insert(Player.ParticleLasers, {startX,startY,bulletDx,bulletDy})
	end
end